Subject: Re: Sorting environment
From: [email-masked] (Jim Balter)

12 Apr 1997 17:30:37 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]> <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (WinNT; I)
Original-To: Ken Estes <[email-masked]>, [email-masked], [email-masked]
Original-Sender: [email-masked]

Jim Balter wrote:
> 
> Ken Estes wrote:
> 
> > All documentaion I have seen requires that NT environment be sorted
> > (more then just one parenthetical comment), thus it is a constraint of
> 
> Cites, please.  The MSVC helpbook info for CreateProcess, for instance,
> does not state that the environment block must be sorted.

Sorry; I take it back.  The MSVC doc has the same comment, buried
in the same remark about =X current directory info.  Not where it
belongs, of course.

Note that cygwin mishandles those too.  It turns =X=foo
into !X=foo, so they don't confuse getenv, but doesn't turn them back
when passing them to CreateProcess.

--
<J Q B>
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".